summaryrefslogtreecommitdiff
path: root/tclap-1.2.1/tests/test69.sh
diff options
context:
space:
mode:
authorChristian Linke <christian.linke@bmw.de>2015-04-15 19:05:53 +0200
committerChristian Linke <christian.linke@bmw.de>2015-04-15 19:05:53 +0200
commit64944e1fa72f346f1161da60c033de2e10513bea (patch)
tree12f668bf4024365311dd46bd3dc904f57e00f8fa /tclap-1.2.1/tests/test69.sh
parenta0b06e2a9b466cfcc6f6810a66d9522a56872cbb (diff)
downloadaudiomanager-64944e1fa72f346f1161da60c033de2e10513bea.tar.gz
* implemend command line options for plugins. rework of command line
* add tclap as template library * implement bug 344 Signed-off-by: Christian Linke <christian.linke@bmw.de>
Diffstat (limited to 'tclap-1.2.1/tests/test69.sh')
-rw-r--r--tclap-1.2.1/tests/test69.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/tclap-1.2.1/tests/test69.sh b/tclap-1.2.1/tests/test69.sh
new file mode 100644
index 0000000..843b9ce
--- /dev/null
+++ b/tclap-1.2.1/tests/test69.sh
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+# Checks that parsing exceptions are properly
+# propagated to the caller.
+../examples/test18 --bob > tmp.out 2>&1
+
+if cmp -s tmp.out $srcdir/test69.out; then
+ exit 0
+else
+ exit 1
+fi
+